# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name SOCKS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: a SOCKS client class
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CL/CLINTDW/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
my $sock = new Net::SOCKS(socks_addr => '192.168.1.3',
                socks_port => 1080,
                user_id => 'the_user',
                user_password => 'the_password',
                force_nonanonymous => 1,
                protocol_version => 5);

  To connect to a SOCKS server, specify the SOCKS server's
  hostname, port number, SOCKS protocol version, username, and
  password.  Username and password are optional if you plan
  to use a SOCKS server that doesn't require any authentication.
  If you would like to force the connection to be 
  nonanoymous, set the force_nonanonymous parameter.

 my $f= $sock->connect(peer_addr => '192.168.1.3', peer_port => 79);

 To connect to another machine using SOCKS, use the connect method.
 Specify the host and port number as parameters.

 my ($ip, $ip_dot_dec, $port) = $sock->bind(peer_addr => "192.168.1.3",
                        peer_port => 9999);

  If you wanted to accept a connection with SOCKS, specify the host
  and port of the machine you expect a connection from.  Upon
  success, bind() returns the ip address and port number that
  the SOCKS server is listening at on your behalf.

 $f= $sock->accept();

  If a call to bind() returns a success status code SOCKS_OKAY,
  a call to the accept() method will return when the peer host
  connects to the host/port that was returned by the bind() method.
  Upon success, accept() returns SOCKS_OKAY.

 $sock->close();

  Closes the connection.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO Changes README example
%perl_vendor_privlib/N*
%perl_vendor_privlib/auto/*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

